/* David McCallum, 2018
sintheta.org
fab academy 2018 at the Waag in Amsterdam

*/


import processing.serial.*;

Serial myPort;   // Create object from Serial class
int count = 0;

int[] sensors = new int[2];

int[] niceNums = new int[2];



import processing.serial.*;
PImage previousImage;

int x = 0;
int y = 0;

void setup() {
  
  size(800,800);
  colorMode(HSB, 100);
  background(100, 100, 100);
  previousImage = get();
       
  myPort = new Serial(this, "/dev/cu.usbserial-FTH9HXH0", 9600);
  myPort.bufferUntil('\n');

  
  
}

void draw() {
  background(0);
  tint(100,98);
  image(previousImage, 0, 0);
  
  niceNums[0] = int( map(sensors[0], 6000, 14000, 0, 100) );
  niceNums[1] = int( map(sensors[1], 4000, 10000, 0, 100) );

  println("Sensors: " + sensors[0] + " " + sensors[1]);
  println("Mapped: " + niceNums[0] + " " + niceNums[1]);

  
  //fill(noise((mouseX*.02))*100, noise((mouseY*.02))*100,100);
  fill(niceNums[0], niceNums[1],100);
  rect((width/10) * (x%10), (height/10) * ((x%100)/10), width/10, height/10);
  x++;
  //x = x%100;
  
  //println(noise((mouseY*.02))*100);
  previousImage = get();

  delay(20);
   
}


void serialEvent(Serial myPort) {
  String myString = myPort.readStringUntil('\n');    // read serial buffer
  if (myString != null)  {      // in case of NULL
    myString = trim(myString);    // remove the newline character
    int mysensors[] = int(split(myString, '\t'));          // split the string into integers
    sensors[0] = mysensors[0];    // write them to global variables
    sensors[1] = mysensors[1];
  }
}